<?php
/**
 * Add Theme info Page
 */

function cleanup_fse_menu() {
	add_theme_page( esc_html__( 'Cleanup FSE', 'cleanup-fse' ), esc_html__( 'About Cleanup FSE', 'cleanup-fse' ), 'edit_theme_options', 'about-cleanup-fse', 'cleanup_fse_theme_page_display' );
}
add_action( 'admin_menu', 'cleanup_fse_menu' );

function cleanup_fse_admin_theme_style() {
	wp_enqueue_style('cleanup-fse-custom-admin-style', esc_url(get_template_directory_uri()) . '/assets/css/admin-styles.css');
}
add_action('admin_enqueue_scripts', 'cleanup_fse_admin_theme_style');

/**
 * Display About page
 */
function cleanup_fse_theme_page_display() {
	$theme = wp_get_theme();

	if ( is_child_theme() ) {
		$theme = wp_get_theme()->parent();
	} ?>

		<div class="Grace-wrapper">
			<div class="Grcae-info-holder">
				<div class="Grcae-info-holder-content">
					<div class="Grace-Welcome">
						<h1 class="welcomeTitle"><?php esc_html_e( 'About Theme Info', 'cleanup-fse' ); ?></h1>                        
						<div class="featureDesc">
							<?php echo esc_html__( ' The Cleanup FSE is a free cleaning company WordPress theme specially designed for carpet cleaning, rugs cleaning, deep cleaning and steam cleaning. This WordPress theme is highly attractive and can undoubtedly impress your audience. The super attractive outlook of this WordPress theme is designed using the latest technologies. So, pick this free cleaning company WordPress theme showered with exclusive looks perfect for making your website eye-catching.', 'cleanup-fse' ); ?>
						</div>
						
                        <h1 class="welcomeTitle"><?php esc_html_e( 'Theme Features', 'cleanup-fse' ); ?></h1>

                        <h2><?php esc_html_e( 'Block Compatibale', 'cleanup-fse' ); ?></h2>
                        <div class="featureDesc">
                            <?php echo esc_html__( 'The built-in customizer panel quickly change aspects of the design and display changes live before saving them.', 'cleanup-fse' ); ?>
                        </div>
                        
                        <h2><?php esc_html_e( 'Responsive Ready', 'cleanup-fse' ); ?></h2>
                        <div class="featureDesc">
                            <?php echo esc_html__( 'The themes layout will automatically adjust and fit on any screen resolution and looks great on any device. Fully optimized for iPhone and iPad.', 'cleanup-fse' ); ?>
                        </div>
                        
                        <h2><?php esc_html_e( 'Cross Browser Compatible', 'cleanup-fse' ); ?></h2>
                        <div class="featureDesc">
                            <?php echo esc_html__( 'Our themes are tested in all mordern web browsers and compatible with the latest version including Chrome,Firefox, Safari, Opera, IE11 and above.', 'cleanup-fse' ); ?>
                        </div>
                        
                        <h2><?php esc_html_e( 'E-commerce', 'cleanup-fse' ); ?></h2>
                        <div class="featureDesc">
                            <?php echo esc_html__( 'Fully compatible with WooCommerce plugin. Just install the plugin and turn your site into a full featured online shop and start selling products.', 'cleanup-fse' ); ?>
                        </div>

					</div> <!-- .Grace-Welcome -->
				</div> <!-- .Grcae-info-holder-content -->
				
				
				<div class="Grcae-info-holder-sidebar">
                        <div class="sidebarBX">
                            <h2 class="sidebarBX-title"><?php echo esc_html__( 'Get Carnival PRO', 'cleanup-fse' ); ?></h2>
                            <p><?php echo esc_html__( 'More features availbale on Premium version', 'cleanup-fse' ); ?></p>
                            <a href="<?php echo esc_url( 'https://gracethemes.com/themes/carpet-cleaning-wordpress-theme/' ); ?>" target="_blank" class="button"><?php esc_html_e( 'Get the PRO Version &rarr;', 'cleanup-fse' ); ?></a>
                        </div>


						<div class="sidebarBX">
							<h2 class="sidebarBX-title"><?php echo esc_html__( 'Important Links', 'cleanup-fse' ); ?></h2>

							<ul class="themeinfo-links">
                                <li>
									<a href="<?php echo esc_url( 'https://gracethemes.com/demo/cleanup/' ); ?>" target="_blank"><?php echo esc_html__( 'Demo Preview', 'cleanup-fse' ); ?></a>
								</li>                               
								<li>
									<a href="<?php echo esc_url( 'https://gracethemes.com/documentation/cleanup/#homepage-lite' ); ?>" target="_blank"><?php echo esc_html__( 'Documentation', 'cleanup-fse' ); ?></a>
								</li>
								
								<li>
									<a href="<?php echo esc_url( 'https://gracethemes.com/wordpress-themes/' ); ?>" target="_blank"><?php echo esc_html__( 'View Our Premium Themes', 'cleanup-fse' ); ?></a>
								</li>
							</ul>
						</div>

						<div class="sidebarBX">
							<h2 class="sidebarBX-title"><?php echo esc_html__( 'Leave us a review', 'cleanup-fse' ); ?></h2>
							<p><?php echo esc_html__( 'If you are satisfied with Cleanup FSE, please give your feedback.', 'cleanup-fse' ); ?></p>
							<a href="https://wordpress.org/support/theme/cleanup-fse/reviews/" class="button" target="_blank"><?php esc_html_e( 'Submit a review', 'cleanup-fse' ); ?></a>
						</div>

				</div><!-- .Grcae-info-holder-sidebar -->	

			</div> <!-- .Grcae-info-holder -->
		</div><!-- .Grace-wrapper -->
<?php } ?>